package com.yifu.cloud.plus.v1.yifu.common.core.util;

import lombok.Data;

import java.io.Serializable;

/**
 * @author fang
 */
@Data
public class ErrorMessage implements Serializable {
    /**
     * 行数或INDEX
     */
    private Integer line;
    //默认红色 success green
    private String color = "red";

    /**
     * @param 用于展示勾选的名称
     * @Author: wangan
     **/
    private String name;
    /**
     * 错误信息
     */
    private String message;

    public ErrorMessage(Integer line, String message) {
        this.line = line;
        this.message = message;
    }
    public ErrorMessage(Integer line, String message, String color) {
        this.line = line;
        this.color = color;
        this.message = message;
    }

    public ErrorMessage(Integer line, String message, String color, String name) {
        this.line = line;
        this.color = color;
        this.message = message;
        this.name= name;
    }
}
